Main Page Modules Data Structures File List Data Fields Globals Related Pages

# pgpPktSigV3_s Struct Reference

5.2.2. More...

`#include <rpmpgp.h>`

## Data Fields
byte | version
byte | hashlen
byte | sigtype
byte | time [4]
byte | signid [8]
byte | pubkey_algo
byte | hash_algo
byte | signhash16 [2]

## Detailed Description

5.2.2.

Version 3 Signature Packet Format

The body of a version 3 Signature Packet contains:

- One-octet version number (3).
- One-octet length of following hashed material. MUST be 5.
  - One-octet signature type.
  - Four-octet creation time.
- Eight-octet key ID of signer.
- One-octet public key algorithm.
- One-octet hash algorithm.
- Two-octet field holding left 16 bits of signed hash value.
- One or more multi-precision integers comprising the signature.

Algorithm Specific Fields for RSA signatures:

- multiprecision integer (MPI) of RSA signature value m**d.

Algorithm Specific Fields for DSA signatures:

- MPI of DSA value r.
- MPI of DSA value s.

Definition at line 316 of file rpmpgp.h.

## Field Documentation

byte pgpPktSigV3_s::hash_algo

| hash algorithm. Definition at line 323 of file rpmpgp.h. Referenced by pgpPrtSig.

byte pgpPktSigV3_s::hashlen

| length of following hashed material. MUST be 5. Definition at line 318 of file rpmpgp.h. Referenced by pgpPrtSig.

byte pgpPktSigV3_s::pubkey_algo

| public key algorithm. Definition at line 322 of file rpmpgp.h. Referenced by pgpPrtSig.

byte pgpPktSigV3_s::signhash16[2]

| left 16 bits of signed hash value. Definition at line 324 of file rpmpgp.h. Referenced by pgpPrtSig.

byte pgpPktSigV3_s::signid[8]

| key ID of signer. Definition at line 321 of file rpmpgp.h. Referenced by pgpPrtSig.

byte pgpPktSigV3_s::sigtype

| signature type. Definition at line 319 of file rpmpgp.h. Referenced by pgpPrtSig.

byte pgpPktSigV3_s::time[4]

| 4 byte creation time. Definition at line 320 of file rpmpgp.h. Referenced by pgpPrtSig.

byte pgpPktSigV3_s::version

| version number (3). Definition at line 317 of file rpmpgp.h. Referenced by pgpPrtSig.

The documentation for this struct was generated from the following file:

- rpmio/rpmpgp.h